import QtQuick

Rectangle {
    id: root
    implicitWidth: textField.implicitWidth + textField.anchors.margins * 2
    implicitHeight: textField.implicitHeight + textField.anchors.margins * 2
    border {
        color: "black"
        width: 1
    }

    property alias text: textField.text
    signal clicked

    Text {
        id: textField
        anchors {
            fill: parent
            margins: 10
        }
    }
    MouseArea {
        id: mouseArea
        anchors.fill: parent
        onClicked: {
            root.clicked()
        }
    }
}
